<nav class="navbar navbar-expand-md navbar-dark bg-dark">
  <div class="container">
    <LinkTo class="navbar-brand" @route="users.user">BankApp</LinkTo>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <LinkTo class="nav-link" @route="users.user">Dashboard</LinkTo>
        </li>
        <li class="nav-item">
          <LinkTo class="nav-link" @route="users.user.beneficiaries">Beneficiaries</LinkTo>
        </li>
        <li class="nav-item">
          <LinkTo class="nav-link" @route="users.user.transactions">Transactions</LinkTo>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Make Payment
          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
            <li><LinkTo class="dropdown-item" @route="users.user.transactions.add.transfer">Funds Transfer</LinkTo></li>
            <li><LinkTo class="dropdown-item" @route="users.user.transactions.add.deposit">Deposit Funds</LinkTo></li>
            <li><LinkTo class="dropdown-item" @route="users.user.transactions.add.withdraw">Withdraw Funds</LinkTo></li>
          </ul>
        </li>
      </ul>
      <form class="d-flex">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <LinkTo class="nav-link" aria-current="page" @route="users.user.edit">
              Edit Profile</LinkTo>
          </li>
        </ul>
        {{#if @user.is_admin}}
          <LinkTo type="button" class="btn btn-primary mx-2" @route="admin.users">Admin</LinkTo>
        {{/if}}
          <a type="button" class="btn btn-danger" {{on "click" this.invalidateSession}}>Logout</a>
      </form>
    </div>
  </div>
</nav>
{{outlet}}